Documentation menu
Calendar
Fetch posts for a given month.
GET /calendar
Requires Authorization: Bearer <token>.
Query parameters
| Field | Type | Notes |
|---|---|---|
monthrequired | string | pattern: ^\d{4}-\d{2}$ |
Example request
curl 'https://app.shoutrrr.com/api/v1/calendar' \
-H 'Authorization: Bearer <token>' const res = await fetch('https://app.shoutrrr.com/api/v1/calendar', {
method: 'GET',
headers: {
'Authorization': 'Bearer <token>',
},
});
const data = await res.json(); import requests
res = requests.get(
'https://app.shoutrrr.com/api/v1/calendar',
headers={'Authorization': 'Bearer <token>'},
)
data = res.json() <?php
$ch = curl_init('https://app.shoutrrr.com/api/v1/calendar');
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => 'GET',
CURLOPT_HTTPHEADER => [
'Authorization: Bearer <token>',
],
]);
$data = json_decode(curl_exec($ch), true); Responses
200
| Field | Type | Notes |
|---|---|---|
monthrequired | string | — |
postsrequired | object[] | — |
idrequired | string | — |
base_textrequired | string | — |
statusrequired | string | — |
status_labelrequired | Draft | Scheduled | Publishing | Published | Partially published | Failed | Missed | Deleted | — |
authorrequired | string | — |
target_countrequired | integer | min 0 |
updated_atrequired | string | — |
scheduled_atrequired | stringnullable | — |
published_atrequired | stringnullable | — |
platformsrequired | string[] | — |
targetsrequired | object[] | — |
idrequired | string | — |
platformrequired | string | — |
statusrequired | string | — |
error_kindrequired | stringnullable | — |
error_messagerequired | stringnullable | — |
attemptsrequired | integer | — |
401 Unauthenticated
| Field | Type | Notes |
|---|---|---|
messagerequiredError overview. | string | — |
422 Validation error
| Field | Type | Notes |
|---|---|---|
messagerequiredErrors overview. | string | — |
errorsrequiredA detailed description of each field that failed validation. | object | — |